#include <bits/stdc++.h>

using namespace std;
using ll = long long;
using ld = long double;
using sll = __int128;

template <typename T>
istream &operator>>(istream &in, pair<T, T> &a){
    in >> a.first >> a.second;
    return in;
}

template <typename T>
ostream &operator<<(ostream &out, pair<T, T> &a){
    out << a.first << ' ' << a.second;
    return out;
}

template <typename T>
istream &operator>>(istream &in, vector<T> &a){
    for(auto &x : a) in >> x;
    return in;
}

template <typename T>
ostream &operator<<(ostream &out, vector<T> &a){
    for(auto x : a) out << x << ' ';
    return out;
}

void solve(){
    ll n, m;
    cin >> n >> m;
    vector<ll> a(m);
    cin >> a;
    ll ans = -1e18;
    for(int mask = 0; mask < (1 << m); mask++){
        ll x = 0, y = 0;
        for(int j = 0; j < m; j++){
            if((mask >> j) & 1) {
                x = a[j] - x;
            } else {
                y = a[j] - y;
            }
        }
        ans = max(ans, x + y);
    }
    cout << ans << '\n';
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    int test = 1;
    cin >> test;
    while(test--){
        solve();
    }
}

